<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsScanner Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_xs_scanner.html">XsScanner</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#a42c56f676e47c945e55365ca7c6cd4c5">abortScan</a>(void)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#a628e5fbc22409ee5041eea54b3b5e56c">enumerateNetworkDevices</a>(void)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#a6eb552845f848ba8a71fcd3dbc6813e2">enumerateSerialPorts</a>(bool ignoreNonXsensDevices=true)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#a989cc3b983183894b03992e9224b3fb6">enumerateUsbDevices</a>(void)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#a6948670d5b5064391630627e80c39d05">filterResponsiveDevices</a>(const XsPortInfoArray &amp;ports, XsBaudRate baudrate=XBR_Invalid, int singleScanTimeout=100, bool detectRs485=false)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#a730eb7335187f2c9b600610e0a8e3721">scanComPortList</a>(const XsStringArray &amp;portList, const XsIntArray &amp;portLinesOptionsList=XsIntArray(), XsBaudRate baudrate=XBR_Invalid, int singleScanTimeout=100)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#a1c32ec16b21be04215959c6a9c6cf910">scanPort</a>(XsPortInfo &amp;port, XsBaudRate baudrate=XBR_Invalid, int singleScanTimeout=100, bool detectRs485=false)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#aaf286883e8cbb4aaf1595e2fb3255bb5">scanPort</a>(const XsString &amp;portName, XsBaudRate baudrate=XBR_Invalid, int singleScanTimeout=100, bool detectRs485=false)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#a42f1eac216fdfa16fd001264d7763202">scanPorts</a>(XsBaudRate baudrate=XBR_Invalid, int singleScanTimeout=100, bool ignoreNonXsensDevices=true, bool detectRs485=false)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#aedd515fd3df29de53efb6c50cfc84d02">scanUsbHub</a>(const XsPortInfo &amp;port)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#a40dabf984464d6f68e5f64f540f91cce">XsScanner_abortScan</a>(void)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#aa941390bf3beba08f8d82575ad5f0428">XsScanner_enumerateNetworkDevices</a>(XsPortInfoArray *ports)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#afe94cb0a7324f0c7c663e0db54be6c2a">XsScanner_enumerateSerialPorts_int</a>(XsPortInfoArray *ports, int ignoreNonXsensDevices)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#ad2f5d97f2a60b8467634c4ee9c0e7612">XsScanner_enumerateUsbDevices</a>(XsPortInfoArray *ports)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#ad77c2781aedcb4c78b7f5bd823467816">XsScanner_filterResponsiveDevices</a>(XsPortInfoArray *ports, XsBaudRate baudrate, int singleScanTimeout, int detectRs485)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#aeb78d4456847c670c9106369f2546ba1">XsScanner_scanPort</a>(XsPortInfo *port, XsBaudRate baudrate, int singleScanTimeout, int detectRs485)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_xs_scanner.html#a4dd6b1e82e3641cf1835d0e7d947e621">XsScanner_scanPorts</a>(XsPortInfoArray *ports, XsBaudRate baudrate, int singleScanTimeout, int ignoreNonXsensDevices, int detectRs485)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_xs_scanner.html#a31a43a0f0e0f286257a8b9e335389cd5">XsScanner_scanUsbHub</a>(XsUsbHubInfo *hub, const XsPortInfo *port)</td><td class="entry"><a class="el" href="class_xs_scanner.html">XsScanner</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
